## hubzero-mailgateway 1.1.19

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-mailgateway
 # @file         Makefile
 # @author       David Benham <dbenham@purdue.edu>
-# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -32,12 +32,12 @@
 	@true
 
 install:
-	install --mode 0755 -D exim4/router/950_exim4-config_groupmessage  $(ETCDIR)/exim4/conf.d/router/950_exim4-config_groupmessage 
-	install --mode 0755 -D exim4/router/950_exim4-config_ticketcomment  $(ETCDIR)/exim4/conf.d/router/950_exim4-config_ticketcomment
-	install --mode 0755 -D exim4/router/955_exim4-config_supportmessage  $(ETCDIR)/exim4/conf.d/router/955_exim4-config_supportmessage
-	install --mode 0755 -D exim4/transport/40_exim4-config_hubgroupmessage_pipe  $(ETCDIR)/exim4/conf.d/transport/40_exim4-config_hubgroupmessage_pipe
-	install --mode 0755 -D exim4/transport/40_exim4-config_ticketcomment_pipe  $(ETCDIR)/exim4/conf.d/transport/40_exim4-config_ticketcomment_pipe
-	install --mode 0755 -D exim4/transport/45_exim4-config_support_email_pipe  $(ETCDIR)/exim4/conf.d/transport/45_exim4-config_support_email_pipe
+	install --mode 0644 -D exim4/router/950_exim4-config_groupmessage  $(ETCDIR)/exim4/conf.d/router/950_exim4-config_groupmessage 
+	install --mode 0644 -D exim4/router/950_exim4-config_ticketcomment  $(ETCDIR)/exim4/conf.d/router/950_exim4-config_ticketcomment
+	install --mode 0644 -D exim4/router/955_exim4-config_supportmessage  $(ETCDIR)/exim4/conf.d/router/955_exim4-config_supportmessage
+	install --mode 0644 -D exim4/transport/40_exim4-config_hubgroupmessage_pipe  $(ETCDIR)/exim4/conf.d/transport/40_exim4-config_hubgroupmessage_pipe
+	install --mode 0644 -D exim4/transport/40_exim4-config_ticketcomment_pipe  $(ETCDIR)/exim4/conf.d/transport/40_exim4-config_ticketcomment_pipe
+	install --mode 0644 -D exim4/transport/45_exim4-config_support_email_pipe  $(ETCDIR)/exim4/conf.d/transport/45_exim4-config_support_email_pipe
 	install --mode 0755 -D python/mailproc.py $(USRDIR)/lib/hubzero/bin/mailproc/mailproc.py
 	install --mode 0755 -D python/processgroupforumpost.py $(USRDIR)/lib/hubzero/bin/mailproc/processgroupforumpost.py
 	install --mode 0755 -D python/processsupportemail.py $(USRDIR)/lib/hubzero/bin/mailproc/processsupportemail.py
