## hubzero-mailgateway 1.1.24

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,9 @@
 	install --mode 0755 -D python/processsupportemail.py $(USRDIR)/lib/hubzero/bin/mailproc/processsupportemail.py
 	install --mode 0755 -D python/processticketcomment.py $(USRDIR)/lib/hubzero/bin/mailproc/processticketcomment.py
 	install --mode 0755 -D python/filecopy.py $(USRDIR)/lib/hubzero/bin/mailproc/filecopy.py
+	install --mode 0755 -D python/process_emailbounces.py $(USRDIR)/lib/hubzero/bin/mailproc/process_emailbounces.py
+	install --mode 0755 -D exim4/router/975_exim4-config_emailbounces
+	install --mode 0755 -D exim4/transport/exim4/transport/65_exim4-config_emailbounces_pipe
 
 collectfiles:
 	cp /etc/exim4/conf.d/router/950_exim4-config_groupmessage exim4/router/950_exim4-config_groupmessage
@@ -58,7 +61,6 @@
 	cp /usr/lib/hubzero/bin/mailproc/filecopy.py python/filecopy.py
 	cp /etc/logrotate.d/hubmailgateway ./hubmailgateway
 
-
 configure:
 	install --mode 0744 --owner root --group root -D hubmailgateway /etc/logrotate.d/hubmailgateway
