## hubzero-mailgateway 1.1.27

=== Makefile ===
--- 
+++ 
@@ -44,8 +44,8 @@
 	install --mode 0755 -D python/processticketcomment.py $(USRDIR)/lib/hubzero/bin/mailproc/processticketcomment.py
 	install --mode 0755 -D python/filecopy.py $(USRDIR)/lib/hubzero/bin/mailproc/filecopy.py
 	install --mode 0755 -D python/process_emailbounces.py $(USRDIR)/lib/hubzero/bin/mailproc/process_emailbounces.py
-	install --mode 0755 -D exim4/router/975_exim4-config_emailbounces
-	install --mode 0755 -D exim4/transport/exim4/transport/65_exim4-config_emailbounces_pipe
+	install --mode 0755 -D exim4/router/975_exim4-config_emailbounces $(ETCDIR)/exim4/conf.d/router/975_exim4-config_emailbounces
+	install --mode 0755 -D exim4/transport/65_exim4-config_emailbounces_pipe $(ETCDIR)/exim4/conf.d/transport/65_exim4-config_emailbounces_pipe
 
 collectfiles:
 	cp /etc/exim4/conf.d/router/950_exim4-config_groupmessage exim4/router/950_exim4-config_groupmessage
