## hubzero-mailgateway 2.1.1-1+deb7

=== debian/changelog ===
hubzero-mailgateway (2.1.1-1+deb7) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Apr 2018 13:42:41 -0400

hubzero-mailgateway (2.1.0-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Apr 2018 12:01:07 -0400

hubzero-mailgateway (2.0.7-1) unstable; urgency=low

  * Force specific encoding for md5 hashing input

 -- Zach Weidner <zach.weidner@gmail.com>  Mon, 29 Jan 2018 13:02:11 -0500

hubzero-mailgateway (2.0.6-1) unstable; urgency=low

  * get charset before using in non-multipart messages

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 06 Oct 2016 10:45:15 -0400

hubzero-mailgateway (2.0.5-1) unstable; urgency=low

  * use correct object when getting non-multipart messages

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Sep 2016 13:07:15 -0400

hubzero-mailgateway (2.0.4-3) unstable; urgency=low

  * remove apache2 restart from postinst 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Sep 2016 13:30:54 -0400

hubzero-mailgateway (2.0.4-2) unstable; urgency=low

  * update recommended dependencies to include hubzero-cms-2.1.0

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Sep 2016 11:44:13 -0400

hubzero-mailgateway (2.0.4-1) unstable; urgency=low

  * fix path for ticket attachments
  * reject forum posts to disabled forums

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 12 Sep 2016 13:54:54 -0400

hubzero-mailgateway (2.0.2-1) unstable; urgency=low

  * update hubzero-cms dependencies for 2.0.0

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 05 Jan 2016 11:11:16 -0500

hubzero-mailgateway (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 18:32:08 -0400

hubzero-mailgateway (1.3.3-1) unstable; urgency=low

  * fix debian build

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 17:11:08 -0400

hubzero-mailgateway (1.3.2-1) unstable; urgency=low

  * 1.3.2 version update
  * attachment filename space fix
  * added forum link to forum processed mail

 -- David Benham <dbenham@purdue.edu>  Mon, 12 Jan 2015 12:00:20 -0400

hubzero-mailgateway (1.3.0-1) unstable; urgency=low

  * 1.3.0 version update
  * python fixes for jos_support_ticket and jos_support_comments schema changes
  * some forum group post loop header fixes and header checking

 -- David Benham <dbenham@purdue.edu>  Wed, 15 Oct 2014 17:27:00 -0400

hubzero-mailgateway (1.2.0-2) unstable; urgency=low

  * update hubzero-cms dependency definition in debian packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 15 Sep 2014 10:28:55 -0400

hubzero-mailgateway (1.2.0-1) unstable; urgency=low

  * normalizing packaging to template

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 07 Sep 2014 18:08:59 -0400

hubzero-mailgateway (1.1.26-1) unstable; urgency=low

  * added code to prevent email loops in group discussions

 -- David Benham <dbenham@purdue.edu>  Mon, 28 Jul 2014 15:11:31 -0400

hubzero-mailgateway (1.1.25-1) unstable; urgency=low

  * non hub user discussion logic change, unsub links, python library location hardcode

 -- David Benham <dbenham@purdue.edu>  Wed, 23 Apr 2014 14:18:22 -0400

hubzero-mailgateway (1.1.24-1) unstable; urgency=low

  * Added email bounces to package

 -- David Benham <dbenham@purdue.edu>  Fri, 07 Feb 2014 10:17:25 -0500

hubzero-mailgateway (1.1.23-1) unstable; urgency=low

  * checked for jos_support_watching table before selecting from it

 -- David Benham <dbenham@purdue.edu>  Thu, 06 Feb 2014 15:42:48 -0500

hubzero-mailgateway (1.1.22-1) unstable; urgency=low

  * plaintext processing issue with attachments
  * email all ticket watchers after incoming email

 -- David Benham <dbenham@purdue.edu>  Tue, 04 Feb 2014 14:38:30 -0500

hubzero-mailgateway (1.1.21-1) unstable; urgency=low

  * attachment rework
  * added missing import 

 -- David Benham <dbenham@purdue.edu>  Fri, 31 Jan 2014 13:48:03 -0500

hubzero-mailgateway (1.1.20-1) unstable; urgency=low

  * fix to account for diff UTC formats in hub versions
  * fix to account for too SMTP error (too many connections)
  * minor attachment processing optimization and testing

 -- David Benham <dbenham@purdue.edu>  Mon, 13 Jan 2014 16:07:09 -0500

hubzero-mailgateway (1.1.19-1.1) unstable; urgency=low

  * fix dates to use UTC instead of local

 -- David Benham <dbenham@purdue.edu>  Thu, 19 Dec 2013 11:27:56 -0500

hubzero-mailgateway (1.1.18-1) unstable; urgency=low

  * attachment processing fix, created by fix

 -- David Benham <dbenham@purdue.edu>  Thu, 31 Oct 2013 11:24:55 -0400

hubzero-mailgateway (1.1.17-1) unstable; urgency=low

  * fix for new forum table insert `thread` field

 -- David Benham <dbenham@purdue.edu>  Mon, 21 Oct 2013 16:08:12 -0400

hubzero-mailgateway (1.1.16-1.1) unstable; urgency=low

  * Attachment logic rework to remove mime multipart/alternative content
  * moved additional ticket attachment code to filecopy.py

 -- root <root@dev16.hubzero.org>  Mon, 30 Sep 2013 15:59:01 -0400

hubzero-mailgateway (1.1.15-1) unstable; urgency=low

  * change the popen call to filecopy.py to account for sudo changes 

 -- dbenham <dbenham@purdue.edu>  Fri, 20 Sep 2013 11:22:03 -0400

hubzero-mailgateway (1.1.14-1) unstable; urgency=low

  * tweak regex for handling configuration.php variables

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 27 Aug 2013 22:43:30 -0400

hubzero-mailgateway (1.1.13-1) unstable; urgency=low

  * Update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Aug 2013 14:29:27 -0400

hubzero-mailgateway (1.1.12-1) unstable; urgency=low

  * set python dependency explicitly to 2.6
  * update copyrights

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Jun 2013 10:22:20 -0400

hubzero-mailgateway (1.1.11-1) unstable; urgency=low

  * rebuild package


