## hubzero-mailgateway 2.1.2-1+deb8

=== debian/changelog ===
hubzero-mailgateway (2.1.2-1+deb8) unstable; urgency=low

  * backport autoreply header fix

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Jul 2018 11:43:14 -0400

hubzero-mailgateway (2.1.1-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Apr 2018 13:42:41 -0400
