## hubzero-mailgateway 2.2.1-1+deb8

=== debian/changelog ===
hubzero-mailgateway (2.2.1-1+deb8) unstable; urgency=low

  * Add another header to check for auto replies

 -- Zach Weidner <zach.weidner@gmail.com>  Mon, 16 Jul 2018 09:33:14 -0400

hubzero-mailgateway (2.2.0-2) unstable; urgency=low

  * minor packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Apr 2018 15:22:19 -0400
