=== debian/changelog ===
hubzero-mailgateway (2.2.8-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 18 Aug 2020 22:11:04 -0700

hubzero-mailgateway (2.2.7-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 28 Apr 2020 20:45:31 -0700

hubzero-mailgateway (2.2.6-1) unstable; urgency=low

  * fix path to filecopy.py in sudoers files

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 24 Oct 2019 11:51:16 -0400

hubzero-mailgateway (2.2.5-1) unstable; urgency=low

  * fix sudoers file username on EL systems

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 23 Oct 2019 14:13:44 -0400

hubzero-mailgateway (2.2.4-1) unstable; urgency=low

  * fix el rpm adduser preinst home directory creation

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 17 Apr 2019 10:52:03 -0400

hubzero-mailgateway (2.2.3-1) unstable; urgency=low

  * fix el rpm adduser preinst

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 15 Apr 2019 14:47:53 -0400

hubzero-mailgateway (2.2.2-1) unstable; urgency=low

  * change ownership of hubzero-mailgateway runtime/log directories in postinst

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 15 Apr 2019 14:39:24 -0400

hubzero-mailgateway (2.2.1-1) unstable; urgency=low

  * Add another header to check for auto replies
  * combine rpm/deb makefile
  * move collectfiles.sh into makefile
  * create debian version of logrotate config
  * create redhat version of logrotate config
  * create debian version of sudoers config
  * create redhat version of sudoers config
  * fix logging directory to be mta agnostic
  * fix working directory to be mta agnostic
  * change postfix hubmail user to hzmail
  * create hzmail user in rpm postinst
  * sudo to apache for filecopy on redhat
  * sudo to www-data for filecopy on debian
  * remove references to exim in main mta agnostic scripts
  * move files to /usr/lib/hubzero-mailgateway
  * rename dist specific files to not use package ext

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 15 Apr 2019 11:31:16 -0400
