=== debian/control ===
Source: hubzero-mailgateway
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-mailgateway
Architecture: all
Depends: python (>=2.6), ${misc:Depends}, ${shlibs:Depends}, exim4, python-crypto, spamassassin, clamav
Recommends: hubzero-cms-2.2 | hubzero-cms-2.1.0 | hubzero-cms-2.0.0 | hubzero-cms-1.3.1 | hubzero-cms-1.3.0 | hubzero-cms-1.2.2 | hubzero-cms-1.2.1 | hubzero-cms-1.2.0
Description: HUBzero mail gateway (exim4)
 HUBzero mail gateway processing scripts for exim4
